﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using Android.Graphics;
using Syncfusion.Data;
using UIColor = Android.Graphics.Color;
using System.Globalization;

namespace SampleDemo
{
    [Activity(Label = "SampleDemo", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        SfDataGrid sfGrid;
        ViewModel viewModel;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            LinearLayout linear = new LinearLayout(this.BaseContext);

            sfGrid = new SfDataGrid(this.BaseContext);
            viewModel = new ViewModel();
            sfGrid.ItemsSource = viewModel.OrdersInfo;
            sfGrid.SelectionMode=SelectionMode.Single;
            sfGrid.AutoGenerateColumns = false;
            var textColumn1 = new GridTextColumn
            {
                MappingName = "StudentID",
                HeaderText = "StudentID",
                TextAlignment = GravityFlags.Center,
            };

            var textColumn2 = new GridTextColumn
            {
                MappingName = "StudentRegno",
                HeaderText = "StudentRegNo",
                TextAlignment = GravityFlags.Center,
            };
            var textColumn3 = new GridTextColumn
            {
                MappingName = "StudentName",
                HeaderText = "StudentName",
                TextAlignment = GravityFlags.Center,
            };
            sfGrid.Columns.Add(textColumn1);
            sfGrid.Columns.Add(textColumn2);
            sfGrid.Columns.Add(textColumn3);

            
            GridSummaryRow summaryRow = new GridSummaryRow();
            summaryRow.Title = "StudentID: {Key} - {CaptionSummary}";
            summaryRow.ShowSummaryInRow = true;
            var summaryColumn = new GridSummaryColumn()
            {
                Name = "CaptionSummary",
                MappingName = "StudentID",
                Format = " {Count} --- TotalItems : {Sum}",
                SummaryType = SummaryType.Int32Aggregate
            };
            
            summaryRow.SummaryColumns.Add(summaryColumn);
            sfGrid.CaptionSummaryRow = summaryRow;
            sfGrid.GroupColumnDescriptions.Add(new GroupColumnDescription() { ColumnName = "StudentID" });
            linear.AddView(sfGrid);
            SetContentView(linear);

        }
    }
  
}

